#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 stack
version:              2.7.3
visibility:           public
id:                   stack-2.7.3-Co8d8GNN9z5I9d1LKKmLFr
key:                  stack-2.7.3-Co8d8GNN9z5I9d1LKKmLFr
license:              BSD-3-Clause
maintainer:           manny@fpcomplete.com
author:               Commercial Haskell SIG
homepage:             http://haskellstack.org
synopsis:             The Haskell Tool Stack
description:
    Please see the documentation at <https://docs.haskellstack.org>
    for usage information.

    If building a '\''stack'\'' executable for distribution, please download the
    source code from <https://github.com/commercialhaskell/stack/releases>
    and build it using Stack itself in order to ensure identical behaviour
    to official binaries.  This package on Hackage is provided for convenience
    and bootstrapping purposes.

    Note that the API for the library is not currently stable, and may
    change significantly, even between minor releases. It is
    currently only intended for use by the executable.

category:             Development
abi:                  e6629fc50d937e58f1aef07812854b89
exposed:              True
exposed-modules:
    Control.Concurrent.Execute Data.Attoparsec.Args
    Data.Attoparsec.Combinators Data.Attoparsec.Interpreter
    Data.Monoid.Map Network.HTTP.StackClient Options.Applicative.Args
    Options.Applicative.Builder.Extra Options.Applicative.Complicated
    Path.CheckInstall Path.Extra Path.Find Paths_stack Stack.Build
    Stack.Build.Cache Stack.Build.ConstructPlan Stack.Build.Execute
    Stack.Build.Haddock Stack.Build.Installed Stack.Build.Source
    Stack.Build.Target Stack.BuildPlan Stack.Clean Stack.Config
    Stack.Config.Build Stack.Config.Docker Stack.Config.Nix
    Stack.ConfigCmd Stack.Constants Stack.Constants.Config
    Stack.Coverage Stack.DefaultColorWhen Stack.Docker Stack.Dot
    Stack.FileWatch Stack.GhcPkg Stack.Ghci Stack.Ghci.Script
    Stack.Hoogle Stack.IDE Stack.Init Stack.List Stack.Lock Stack.Ls
    Stack.New Stack.Nix Stack.Options.BenchParser
    Stack.Options.BuildMonoidParser Stack.Options.BuildParser
    Stack.Options.CleanParser Stack.Options.Completion
    Stack.Options.ConfigParser Stack.Options.DockerParser
    Stack.Options.DotParser Stack.Options.ExecParser
    Stack.Options.GhcBuildParser Stack.Options.GhcVariantParser
    Stack.Options.GhciParser Stack.Options.GlobalParser
    Stack.Options.HaddockParser Stack.Options.HpcReportParser
    Stack.Options.LogLevelParser Stack.Options.NewParser
    Stack.Options.NixParser Stack.Options.PackageParser
    Stack.Options.ResolverParser Stack.Options.SDistParser
    Stack.Options.ScriptParser Stack.Options.TestParser
    Stack.Options.UploadParser Stack.Options.Utils Stack.Package
    Stack.PackageDump Stack.Path Stack.Prelude Stack.Runners
    Stack.SDist Stack.Script Stack.Setup Stack.Setup.Installed
    Stack.SetupCmd Stack.SourceMap Stack.Storage.Project
    Stack.Storage.User Stack.Storage.Util Stack.Types.Build
    Stack.Types.Compiler Stack.Types.CompilerBuild Stack.Types.Config
    Stack.Types.Config.Build Stack.Types.Docker Stack.Types.GhcPkgId
    Stack.Types.NamedComponent Stack.Types.Nix Stack.Types.Package
    Stack.Types.PackageName Stack.Types.Resolver Stack.Types.SourceMap
    Stack.Types.TemplateName Stack.Types.Version
    Stack.Types.VersionIntervals Stack.Unpack Stack.Upgrade
    Stack.Upload System.Info.ShortPathName System.Permissions
    System.Process.Pager System.Terminal

hidden-modules:       Path.Extended Stack.Types.Cache System.Uname
import-dirs:          /usr/lib/ghc-9.0.1/site-local/stack-2.7.3
library-dirs:         /usr/lib/ghc-9.0.1/site-local/stack-2.7.3
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-9.0.1/stack-2.7.3
hs-libraries:         HSstack-2.7.3-Co8d8GNN9z5I9d1LKKmLFr
depends:
    Cabal-3.4.0.0 aeson-1.5.6.0-CI7TVKCpPUr3TvYJH78qPf
    annotated-wl-pprint-0.7.0-70TwcJulbP410FZMDCXWmO
    ansi-terminal-0.11-DjCjwOSLGFf1dS0V09gtOz array-0.5.4.0
    async-2.2.3-JMLEcS5xCFd7RA7gdjgDSR
    attoparsec-0.14.1-HerROSs0hpLEq1E44JWFyp base-4.15.0.0
    base64-bytestring-1.2.1.0-5NkIB55dj355NkDWvSFElQ
    bytestring-0.10.12.1 casa-client-0.0.1-ApleQntlF2p8iLGxnn0RZH
    casa-types-0.0.2-9511Pigey8AGSyeOetLLtO
    colour-2.3.6-E2uR4JnJZk43eyqNgJWgLM
    conduit-1.3.4.2-1UjnuMDsEIi5lhFydCbGRU
    conduit-extra-1.3.5-1dLWxUTkemQ7GNSyJr34ee containers-0.6.4.1
    cryptonite-0.29-7aXzWnn6dYq5HPWkX7eQFh
    cryptonite-conduit-0.2.2-CkFVJHp8rpNIx8BZpX1yTg deepseq-1.4.5.0
    directory-1.3.6.1 echo-0.1.4-9WkOqrcNnDn8K5KbomRoSw
    exceptions-0.10.4 extra-1.7.10-BjGZFAYpXsjDqImjYsZuGK
    file-embed-0.0.14.0-DpVDNlFaM0M9fTuZiTfuRf
    filelock-0.1.1.5-7tw38nEStQlAIil3Rkisd7 filepath-1.4.2.1
    fsnotify-0.3.0.1-DrJZc3LAlHfDErgmSWVMMJ
    generic-deriving-1.14.1-BjtfNkeQu5yKLcf9kd7cuv
    hackage-security-0.6.0.1-2iw19Kt5MIp5VgeZI9Oop9
    hashable-1.3.3.0-Ob7F4bz7SrJSfcuDhkmwM
    hi-file-parser-0.1.2.0-37M8QBLTBWz6WjEiXDR1qW
    hpack-0.34.4-4XI9uawhECe4nYqcJrvhcf hpc-0.6.1.0
    http-client-0.7.9-KdLCafjuHFBEhkahLsLZoF
    http-client-tls-0.3.5.3-4HqJmjCo9n0H5CLzsCBHsC
    http-conduit-2.3.8-BFWJQ6lG27jHHGwsC7fsL1
    http-download-0.2.0.0-4RKxZJQsqsV2kmMbI60Zq2
    http-types-0.12.3-FMJeXfXZe1F6BnXFIVUYKU
    memory-0.16.0-CGaPOmXCTce28vOCDDnDFr
    microlens-0.4.12.0-IoK2ncpVKVzEwRUasmz5D3
    mintty-0.1.2-5b08LLwS4rI2XuvUvOFfBx
    mono-traversable-1.0.15.3-FGt6kRgoLlv2QwJjnNTKWl mtl-2.2.2
    mustache-2.3.1-3ZsiwwcdHZSIDiByCh704i
    neat-interpolation-0.5.1.2-3IvVTQizmmZBlUGuPxuDBT
    network-uri-2.6.4.1-DC1aot2K9KI32TlB2FcjFC
    open-browser-0.2.1.0-CCCAftezS4EInxcC0BPvzu
    optparse-applicative-0.16.1.0-2Lys88r8Sg3GstjsK1qq7I
    pantry-0.5.2.3-9D2bWEDcWQYKqQnArQrPRG
    path-0.9.0-Emis1KP5Uox7MpiOD2xKxJ
    path-io-1.6.3-ByRcNHnEtPa68fedc0Nwdg
    persistent-2.13.1.2-Hhn09k6ExIBIDENGN2fHms
    persistent-sqlite-2.13.0.3-JZCCQEHSkAEo12N5nxwN7 pretty-1.1.3.6
    primitive-0.7.2.0-DTPUl9Sg1wCEPhNK487zv2 process-1.6.11.0
    project-template-0.2.1.0-4PreP6xBvQzAUIgJovlKnb
    regex-applicative-text-0.1.0.1-6RTXasYa7LU5aqOXCgS5S0
    retry-0.9.0.0-1KKc6wnFlEU8WNQGmuiNuK
    rio-0.1.21.0-6zpX2dFTdmWFNMDrrhXo9T
    rio-prettyprint-0.1.1.0-5tNeBThr0cV3NJ2dDIhjvt
    split-0.2.3.4-1quTMurJlIxHAlbX9QCpKs stm-2.5.0.0
    streaming-commons-0.2.2.1-7nqmyj2WLcaJXLarflT37c
    tar-0.5.1.1-9KHMCjSJBubBHFmzCSHjzN template-haskell-2.17.0.0
    temporary-1.3-AVZ2NpmeSw5C1gYzt1NvCa text-1.2.4.1
    text-metrics-0.3.1-5FKx7m2AsQuChQYbT6tpHG
    th-reify-many-0.1.10-1zrAhNMsPUXAUZaEOIBXG8 time-1.9.3
    tls-1.5.5-G4F6LjjyzJID23TXj7mRBi transformers-0.5.6.2
    typed-process-0.2.7.0-FOGY3ylrmdiErTT4rNeICu
    unicode-transforms-0.3.8-6Hb4cmtB3OQ7jpcmzPtZ1o unix-2.7.2.2
    unix-compat-0.5.3-CsWJk3UHZrh7lbWn5tdOhn
    unliftio-0.2.20-LZ2TdVCG1JPD2zWnEXJxzO
    unordered-containers-0.2.14.0-85xhml3fqIC6ZwgIEgRSE
    vector-0.12.3.1-1QSAcoQ4BjrEDZahKaKVTn
    yaml-0.11.7.0-D6H1x0bzXhh1ErWlagzJ3B
    zip-archive-0.4.1-BBFdv0fT51h4cPrvAc9PYK
    zlib-0.6.2.3-9KdQRdAK0al9cH28ga1ICC

haddock-interfaces:   /usr/share/doc/stack/html/stack.haddock
haddock-html:         /usr/share/doc/stack/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

